# -*- encoding: utf-8 -*-
# stub: sensu-plugins-consul 2.2.1 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-consul".freeze
  s.version = "2.2.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "sensu-plugin", "production_status" => "unstable - testing recommended", "release_draft" => "false", "release_prerelease" => "false" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Sensu Plugins and contributors".freeze]
  s.date = "2019-11-16"
  s.description = "This plugin provides native instrumentation for monitoring Consul, including:\n                              Consul server service and cluster health, and querying the Consul API to check\n                              for passing/critical services.".freeze
  s.email = "<sensu-users@googlegroups.com>".freeze
  s.executables = ["check-consul-members.rb".freeze, "check-service-consul.rb".freeze, "check-consul-stale-peers.rb".freeze, "check-consul-service-health.rb".freeze, "check-consul-quorum.rb".freeze, "check-consul-failures.rb".freeze, "check-consul-servers.rb".freeze, "check-consul-kv-ttl.rb".freeze, "check-consul-leader.rb".freeze, "check-consul-maintenance.rb".freeze]
  s.files = ["CHANGELOG.md".freeze, "LICENSE".freeze, "README.md".freeze, "bin/check-consul-failures.rb".freeze, "bin/check-consul-kv-ttl.rb".freeze, "bin/check-consul-leader.rb".freeze, "bin/check-consul-maintenance.rb".freeze, "bin/check-consul-members.rb".freeze, "bin/check-consul-quorum.rb".freeze, "bin/check-consul-servers.rb".freeze, "bin/check-consul-service-health.rb".freeze, "bin/check-consul-stale-peers.rb".freeze, "bin/check-service-consul.rb".freeze, "lib/sensu-plugins-consul".freeze, "lib/sensu-plugins-consul.rb".freeze, "lib/sensu-plugins-consul/check".freeze, "lib/sensu-plugins-consul/check/base.rb".freeze, "lib/sensu-plugins-consul/version.rb".freeze]
  s.homepage = "https://github.com/sensu-plugins/sensu-plugins-consul".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "You can use the embedded Ruby by setting EMBEDDED_RUBY=true in /etc/default/sensu".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.1".freeze)
  s.rubygems_version = "2.6.14.1".freeze
  s.summary = "Sensu plugins for Consul".freeze

  s.installed_by_version = "2.6.14.1" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["= 4.0.0"])
      s.add_runtime_dependency(%q<diplomat>.freeze, ["= 0.14.0"])
      s.add_runtime_dependency(%q<rest-client>.freeze, ["~> 2.0.1"])
      s.add_development_dependency(%q<bundler>.freeze, ["~> 1.7"])
      s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
      s.add_development_dependency(%q<github-markup>.freeze, ["~> 3.0"])
      s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
      s.add_development_dependency(%q<rake>.freeze, ["~> 10.5"])
      s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
      s.add_development_dependency(%q<rspec>.freeze, ["~> 3.4"])
      s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.51.0"])
      s.add_development_dependency(%q<yard>.freeze, ["~> 0.9.11"])
    else
      s.add_dependency(%q<sensu-plugin>.freeze, ["= 4.0.0"])
      s.add_dependency(%q<diplomat>.freeze, ["= 0.14.0"])
      s.add_dependency(%q<rest-client>.freeze, ["~> 2.0.1"])
      s.add_dependency(%q<bundler>.freeze, ["~> 1.7"])
      s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
      s.add_dependency(%q<github-markup>.freeze, ["~> 3.0"])
      s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
      s.add_dependency(%q<rake>.freeze, ["~> 10.5"])
      s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
      s.add_dependency(%q<rspec>.freeze, ["~> 3.4"])
      s.add_dependency(%q<rubocop>.freeze, ["~> 0.51.0"])
      s.add_dependency(%q<yard>.freeze, ["~> 0.9.11"])
    end
  else
    s.add_dependency(%q<sensu-plugin>.freeze, ["= 4.0.0"])
    s.add_dependency(%q<diplomat>.freeze, ["= 0.14.0"])
    s.add_dependency(%q<rest-client>.freeze, ["~> 2.0.1"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 0.4"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.5"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.4"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.51.0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  end
end
